# Created by pyp2rpm-3.3.2
%global pypi_name nodeenv

Name:           python-%{pypi_name}
Version:        1.3.3
Release:        %mkrel 3
Summary:        Node.js virtual environment builder
Group:          Development/Python
License:        BSD
URL:            https://github.com/ekalinin/nodeenv
Source0:        https://files.pythonhosted.org/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Node.js virtual environment nodeenv (node.js virtual environment) is a
tool to create isolated node.js environments.

It creates an environment that has its own installation directories, that
doesn't share libraries with other node.js virtual environments. Also the
new environment can be integrated with the environment which was built by
virtualenv (python).

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
Node.js virtual environment nodeenv (node.js virtual environment) is a
tool to create isolated node.js environments.

It creates an environment that has its own installation directories, that
doesn't share libraries with other node.js virtual environments. Also the
new environment can be integrated with the environment which was built by
virtualenv (python).

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst README.ru.rst
%{_bindir}/nodeenv
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 1.3.3-3.mga8
+ Revision: 1531400
- Mageia 8 Mass Rebuild

* Wed Sep 11 2019 wally <wally> 1.3.3-2.mga8
+ Revision: 1439803
- rebuild for python3.8

* Sun Aug 18 2019 wally <wally> 1.3.3-1.mga8
+ Revision: 1429847
- imported package python-nodeenv

